/*!
\file timer.cpp
\brief Class implementation for Timer
\author Nicholas Phillips, phillips@friday.gsfc.nasa.gov
\date Oct 21, 2003
*/

#include "timer.h"

#include <iostream>
#include <iomanip>

using namespace std;

Timer::Timer()
{
	running = false;
}


Timer::~Timer()
{
}

double Timer::elapsed()
{
	double t1 = (stop_t.tv_sec - start_t.tv_sec) + (1e-6)*(stop_t.tv_usec - start_t.tv_usec);
	return t1;
}
